CIFVALUES(1)

NAME
cifvalues - get specified data values from a CIF file(s).

SYNOPSIS
src/components/codcif/cifvalues --options < input.cif

src/components/codcif/cifvalues --options input.cif

src/components/codcif/cifvalues --options input1.cif input2.cif inputs*.cif

DESCRIPTION
Get specified data values from a CIF file(s).

OPTIONS
-h, --header, -h-, --no-header
                  Print/do not print (default) the column name header

-t, --tags _cell_length_a,_cell_volume
                  Extract the specified data items (no default).

-g, --group-separator $'
    --newline-characters $'
                  Specify a group separator that separates TSV/CSV/ADT "lines" (default ")

-r, --record-separator $' '
    --separator $' '
                  Use the specified string to separate values
                  of different data items (default " ").

-u, --unit-separator "|"
    --value-separator "|"
    --vseparator "|"
                  Use the specified string to separate multiple
                  values of each looped data item (default "|").

-p, --replacement " "
                  A character to which all separators are replaced
                  in the non-quoting output formats (TSV and ADT).

-q, --quote '"'
                  Quote the strings containing separators using the
                  specified quoting character (default for CSV output).

-q-,--no-quote
                  Do not quote the strings containing separators,
                  replace separators by the --replacement character.

-Q, --always-quote
                  Always quote the values even if they do not contain separators

-Q-,--not-always-quote
                  Quote the values only if they contain separators (default)

-D, --dos-newlines

-M, --mac-newlines

-U, --unix-newlines
                  Set new line convention to DOS, MAC or Unix (default)
                  Same as --group-separator with an appropriate string

                  (e.g. --dos-newlines in bash is --group-sep $''$')

--tsv-output, --csv-output, --adt-output
                  Set separators for the TSV, CSV or ADT
                  (ASCII delimited text, using ASCII GS, RS and US chars)
                  output. Default is TSV output.

--filename
                  Print filename in the output.

--no-filename
                  Don't print filename in the output (default).

--datablock-name, --dataname
                  Print data block names in the output (default).

--no-datablock-name, --no-dataname
                  Do not print data block names in the output.

-d, --debug
                  Print internal program data structures for debugging.

--version
                  Print program version (SVN Id) and exit.

--help
                  Print short usage message (this message) and exit.

REPORTING BUGS
Report cifvalues bugs using e-mail: cod-bugs@ibt.lt